function [ ] = Function_DICE_2013R_1_Cnew( years, MIU, S, EPSILON_Vect, L_0_MC, GA_0_MC, AL_0_MC, GSIG_0_MC, SIGMA_0_MC, PBACKTIME_0_MC, COST1_0_MC, FORCOTH_0_MC, YGROSS_R_MC, YGROSS_MC, ETREE_0_MC, EIND_R_MC, EIND_MC, MAT_R_MC, MAT_MC, FORC_R_MC, FORC_MC, TOCEAN_R_MC, TOCEAN_MC, TATM_R_MC, TATM_MC, DAMAGES_R_MC, DAMAGES_MC, YNET_R_MC, YNET_MC, ABATECOST_R_MC, ABATECOST_MC, Y_R_MC, Y_MC, I_R_MC, I_MC, C_R_MC, C_MC, K_R_MC, K_MC)
%   This function writes in an Excel file:
%   - the path matrices for main variables
%   - Purpose: check than in the "no uncertainty" version of the DICE-2013R model 1.0, the
%   resulting paths are identical to the one in the Excel file

% File: DICE_2013R_1_C_WITH_U_CBeta_MODEL_v0903_vCHECK
%--------------------------------------------------------------------------

    currentfolder = pwd;

    warning off MATLAB:xlswrite:AddSheet;
    filename = [ currentfolder '\DICE_2013R_1_C_With_U_CBeta_OUTPUT_' date '_vCHECK.xlsx'];
           

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 1. Round to 5th decimal digit and add years headline
        
MIU            = round(MIU*1e9)/1e9;
MIU_0_MC       = [years'; MIU'];

S              = round(S*1e9)/1e9;
S_0_MC         = [years'; S'];

L_0_MC         = round(L_0_MC*1e9)/1e9;
L_0_MC         = [years'; L_0_MC];

GA_0_MC        = round(GA_0_MC*1e9)/1e9;
GA_0_MC        = [years'; GA_0_MC];

AL_0_MC        = round(AL_0_MC*1e9)/1e9;
AL_0_MC        = [years'; AL_0_MC];

GSIG_0_MC      = round(GSIG_0_MC*1e9)/1e9;
GSIG_0_MC      = [years'; GSIG_0_MC];

SIGMA_0_MC     = round(SIGMA_0_MC*1e9)/1e9;
SIGMA_0_MC     = [years'; SIGMA_0_MC];

FORCOTH_0_MC   = round(FORCOTH_0_MC*1e9)/1e9;
FORCOTH_0_MC   = [years'; FORCOTH_0_MC];

PBACKTIME_0_MC = round(PBACKTIME_0_MC*1e9)/1e9;
PBACKTIME_0_MC = [years'; PBACKTIME_0_MC];

COST1_0_MC = round(COST1_0_MC*1e9)/1e9;
COST1_0_MC = [years'; COST1_0_MC];
    
YGROSS_R_MC    = round(YGROSS_R_MC*1e9)/1e9;
YGROSS_R_MC    = [years'; YGROSS_R_MC];

YGROSS_MC      = round(YGROSS_MC*1e9)/1e9;
YGROSS_MC      = [years'; YGROSS_MC];

ETREE_0_MC     = round(ETREE_0_MC*1e9)/1e9;
ETREE_0_MC     = [years'; ETREE_0_MC];

EIND_R_MC      = round(EIND_R_MC*1e9)/1e9;
EIND_R_MC      = [years'; EIND_R_MC];

EIND_MC        = round(EIND_MC*1e9)/1e9;
EIND_MC        = [years'; EIND_MC];

MAT_R_MC       = round(MAT_R_MC*1e9)/1e9;
MAT_R_MC       = [years';MAT_R_MC];

MAT_MC         = round(MAT_MC*1e9)/1e9;
MAT_MC         = [years';MAT_MC];

FORC_R_MC      = round(FORC_R_MC*1e9)/1e9;
FORC_R_MC      = [years';FORC_R_MC];

FORC_MC        = round(FORC_MC*1e9)/1e9;
FORC_MC        = [years';FORC_MC];

TOCEAN_R_MC    = round(TOCEAN_R_MC*1e9)/1e9;
TOCEAN_R_MC    = [years';TOCEAN_R_MC];

TOCEAN_MC      = round(TOCEAN_MC*1e9)/1e9;
TOCEAN_MC      = [years';TOCEAN_MC];

TATM_R_MC      = round(TATM_R_MC*1e9)/1e9;
TATM_R_MC      = [years'; TATM_R_MC];

TATM_MC        = round(TATM_MC*1e9)/1e9;
TATM_MC        = [years'; TATM_MC];

DAMAGES_R_MC   = round(DAMAGES_R_MC*1e9)/1e9;
DAMAGES_R_MC   = [years'; DAMAGES_R_MC];

DAMAGES_MC     = round(DAMAGES_MC*1e9)/1e9;
DAMAGES_MC     = [years'; DAMAGES_MC];

YNET_R_MC      = round(YNET_R_MC*1e9)/1e9;
YNET_R_MC      = [years'; YNET_R_MC];

YNET_MC        = round(YNET_MC*1e9)/1e9;
YNET_MC        = [years'; YNET_MC];

ABATECOST_R_MC = round(ABATECOST_R_MC*1e9)/1e9;
ABATECOST_R_MC = [years'; ABATECOST_R_MC];

ABATECOST_MC   = round(ABATECOST_MC*1e9)/1e9;
ABATECOST_MC   = [years'; ABATECOST_MC];

Y_R_MC         = round(Y_R_MC*1e9)/1e9;
Y_R_MC         = [years'; Y_R_MC];

Y_MC           = round(Y_MC*1e9)/1e9;
Y_MC           = [years'; Y_MC];

I_R_MC         = round(I_R_MC*1e9)/1e9;
I_R_MC         = [years'; I_R_MC];

I_MC           = round(I_MC*1e9)/1e9;
I_MC           = [years'; I_MC];

C_R_MC         = round(C_R_MC*1e9)/1e9;
C_R_MC         = [years'; C_R_MC];

C_MC           = round(C_MC*1e9)/1e9;
C_MC           = [years'; C_MC];

K_R_MC         = round(K_R_MC*1e9)/1e9;
K_R_MC         = [years'; K_R_MC];

K_MC           = round(K_MC*1e9)/1e9;
K_MC           = [years'; K_MC];

   
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 2. Paths for the main variables of the model   
              
%--------------------------------------------------------------------------
    % Take original Excel model
    
    InputFileExcel = [ currentfolder '\DICE_2013R_112513_vCHECK_MEANS_reference_new.xlsx'];
    
    % Import years from Excel model
    xlrange = 'B2:BI2';
    yearsExcel = xlsread(InputFileExcel,'Base',xlrange);
    yearsExcel = yearsExcel';
    
    % Take "Mitigation" version of Excel model
    InputFileExcel_Mitigation = [ currentfolder '\DICE_2013R_112513_vCHECK_MEANS_mitigation_new.xlsx'];
    
%--------------------------------------------------------------------------
    % Export reference and perturbed paths matrices in Excel  
        
%--------------------------------------------------------------------------        
%   *MIU*   Reference emissions control rate(same paths for perturbed)
            sheet      = ['MIU_R'];
            datanote   = {'Emissions control rate path: MIU_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            datanote   = {'Emissions control rate path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = MIU_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');
        
            % Emissions control rate path from the Excel version of DICE-2013R
            InputFile = [ currentfolder '\DICE_2013R_1_1_With_U_CBeta_INPUT_MIU.xlsx'];
            MIU = xlsread(InputFile,'MIU'); MIU = MIU(:,2); 
            MIU = MIU(1:60);
            temp2 = round(MIU*1e9)/1e9;
            data=[yearsExcel'; temp2'];
            data_cells=num2cell(data);
            datanote = {'Emissions control rate path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
        
            
%--------------------------------------------------------------------------        
% *EPSILON*   
            sheet      = ['EPSILON'];
            datanote   = {'TFP groth white noise'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            datanote   = {'Epsilon path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = EPSILON_Vect';
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');
        
            % Emissions control rate path from the Excel version of DICE-2013R
            temp2 = xlsread(InputFileExcel,'Parameters','B126:BI126');
            temp2 = round(temp2*1e9)/1e9;
            data=[yearsExcel'; temp2];
            data_cells=num2cell(data);
            datanote = {'Epsilon path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
%--------------------------------------------------------------------------                            
%   *S*     Reference savings rate(same paths for perturbed)
            sheet      = ['S_0'];
            datanote   = {'Savings rate path: S_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            datanote   = {'Savings rate path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = S_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');
        
            % Emissions control rate path from the Excel version of DICE-2013R
            temp2 = xlsread(InputFileExcel,'Base','B134:BI134');
            temp2 = round(temp2*1e9)/1e9;
            data=[yearsExcel'; temp2];
            data_cells=num2cell(data);
            datanote = {'Savings rate path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
%--------------------------------------------------------------------------                            
%   *L_0*   Reference population (same paths for perturbed)
            sheet      = ['L_0'];
            datanote   = {'Population path: L_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = millions'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Population path from Matlab model
            datanote   = {'Population path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = L_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');
        
            % Population path from the Excel version of DICE-2013R
            temp1 = xlsread(InputFileExcel,'Base','B55:BI55');
            temp1 = round(temp1*1e9)/1e9;
            data=[yearsExcel'; temp1];
            data_cells=num2cell(data);
            datanote = {'Population path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
%--------------------------------------------------------------------------                            
%   *GA_0*  Reference TFP growth(same paths for perturbed)
            sheet      = ['GA_R'];
            datanote   = {'TFP growth path: GA_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % TFP growth from Matlab model
            datanote   = {'TFP growth from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = GA_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');
        
            % TFP growth from the Excel version of DICE-2013R
            temp1 = xlsread(InputFileExcel,'Parameters','B106:BI106');
            temp1 = round(temp1*1e9)/1e9;
            data=[yearsExcel'; temp1];
            data_cells=num2cell(data);
            datanote = {'TFP growth path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
                
%--------------------------------------------------------------------------                            
%   *AL_0*  Reference level of TFP(same paths for perturbed)
            sheet      = ['AL_R'];
            datanote   = {'Level of TFP path: AL_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Level of TFP from Matlab model
            datanote   = {'Level of TFP growth from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = AL_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');
        
            % Level of TFP from the Excel version of DICE-2013R
            temp1 = xlsread(InputFileExcel,'Base','B21:BI21');
            temp1 = round(temp1*1e9)/1e9;
            data=[yearsExcel'; temp1];
            data_cells=num2cell(data);
            datanote = {'Level of TFP path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
%--------------------------------------------------------------------------                            
% *GSIG_0*  Reference change in sigma(same paths for perturbed)
            sheet      = ['GSIG_R'];
            datanote   = {'Change in sigma path: GSIG_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Change in sigma from Matlab model
            datanote   = {'Change in sigma from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = GSIG_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');
        
            % Change in sigma from the Excel version of DICE-2013R
            temp1 = xlsread(InputFileExcel,'Base','B45:BI45');
            temp1 = round(temp1*1e9)/1e9;
            data=[yearsExcel'; temp1];
            data_cells=num2cell(data);
            datanote = {'Change in sigma path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
% *SIGMA_0* Reference CO2eq-output ratio(same paths for perturbed)
            sheet      = ['SIGMA_R'];
            datanote   = {'CO2eq-output ratio path: SIGMA_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            datanote   = {'CO2eq-output ratio path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = SIGMA_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Emissions control rate path from the Excel version of DICE-2013R
            temp3 = xlsread(InputFileExcel,'Base','B43:BI43');
            temp3 = round(temp3*1e9)/1e9;
            data=[yearsExcel'; temp3];
            data_cells=num2cell(data);
            datanote = {'CO2eq-output ratio path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
%--------------------------------------------------------------------------                            
% *PBACKTIME_0* Reference
            sheet      = ['PBACKTIME_0'];
            datanote   = {'Pbacktime'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = na'};
            xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            datanote   = {'Pbacktime path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');    
            data       = PBACKTIME_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Emissions control rate path from the Excel version of DICE-2013R
            temp3 = xlsread(InputFileExcel,'Base','B36:BI36');
            temp3 = round(temp3*1e9)/1e9;
            data=[yearsExcel'; temp3];
            data_cells=num2cell(data);
            datanote = {'Pbacktime path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%*FORCOTH_0*Reference exogenous forcing (same paths for perturbed)
            sheet      = ['FORCOTH_R'];
            datanote   = {'Exogenous forcing MC matrix: FORCOTH_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = Watts per square meter'};
            xlswrite(filename,datanote,sheet,'A2');

            % Exogenous forcings path from Matlab model
            datanote   = {'Exogenous forcing path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = FORCOTH_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Exogenous forcings path from the Excel version of DICE-2013R
            temp4 = xlsread(InputFileExcel,'Base','B76:BI76');
            temp4 = round(temp4*1e9)/1e9;
            data=[yearsExcel'; temp4];
            data_cells=num2cell(data);
            datanote = {'Exogenous forcing path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
% *ETREE_0* Reference emissions from land use change (same paths for
        % perturbed)        
            sheet      = ['ETREE_R'];
            datanote   = {'Emissions from land use change MC matrix: ETREE_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = GtC per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Emissions from land use change from Matlab model
            datanote   = {'Emissions from land use change path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = ETREE_0_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');    

            % Emissions from land use change from Excel version of DICE-2013R
            temp7 = xlsread(InputFileExcel,'Base','B46:BI46');
            temp7 = round(temp7*1e9)/1e9;
            data=[yearsExcel'; temp7];
            data_cells=num2cell(data);
            datanote = {'Emissions from land use change path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
    
%--------------------------------------------------------------------------                            
%*YGROSS_R* Reference gross output
            sheet      = ['YGROSS_R'];
            datanote   = {'Reference gross output MC matrix: YGROSS_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference gross output path from Matlab model
            datanote   = {'Reference gross output path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = YGROSS_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference gross output path from the Excel version of DICE-2013R
            temp5 = xlsread(InputFileExcel,'Base','B107:BI107');
            temp5 = round(temp5*1e9)/1e9;
            data=[yearsExcel'; temp5];
            data_cells=num2cell(data);
            datanote = {'Reference gross output path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
% *YGROSS*  Perturbed gross output
            sheet      = ['YGROSS'];
            datanote   = {'Perturbed gross output MC matrix: YGROSS'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed gross output from Matlab model
            datanote   = {'Perturbed gross output path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = YGROSS_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed gross output from the Excel "Mitigation" version of DICE-2013R
            temp6 = xlsread(InputFileExcel_Mitigation,'Base','B107:BI107');
            temp6 = round(temp6*1e9)/1e9;
            data=[yearsExcel'; temp6];
            data_cells=num2cell(data);
            datanote = {'Perturbed gross output path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
%--------------------------------------------------------------------------                                        
% *EIND_R* Reference industrial emissions
            sheet      = ['EIND_R'];
            datanote   = {'Reference industrial emissions MC matrix: EIND_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = GtC per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference industrial emissions from Matlab model
            datanote   = {'Reference industrial emissions path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = EIND_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference industrial emissions path from Excel version of DICE-2013R
            temp8 = xlsread(InputFileExcel,'Base','B116:BI116');
            temp8 = round(temp8*1e9)/1e9;
            data=[yearsExcel'; temp8];
            data_cells=num2cell(data);
            datanote = {'Reference industrial emissions path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
        
%--------------------------------------------------------------------------                            
%   *EIND*  Perturbed industrial emissions                
            sheet      = ['EIND'];
            datanote   = {'Perturbed industrial emissions MC matrix: EIND'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = GtC per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Pertubed industrial emissions from Matlab model
            datanote   = {'Perturbed industrial emissions path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = EIND_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed industrial emissions path from Excel "Mitigation" version of DICE-2013R
            temp9 = xlsread(InputFileExcel_Mitigation,'Base','B116:BI116');
            temp9 = round(temp9*1e9)/1e9;
            data=[yearsExcel'; temp9];
            data_cells=num2cell(data);
            datanote = {'Perturbed industrial emissions path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
        
                 
%--------------------------------------------------------------------------                            
% *MAT_R*  Reference carbon concentration      
            sheet      = ['MAT_R'];
            datanote   = {'Reference carbon concentration MC matrix: EIND_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = GTC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference carbon concentration from Matlab model
            datanote   = {'Reference carbon concentration path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = MAT_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference carbon concentration path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B90:BI90');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'Reference carbon concentration path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
        
%--------------------------------------------------------------------------                            
%   *MAT*   Perturbed carbon concentration          
            sheet      = ['MAT'];
            datanote   = {'Perturbed carbon concentration in atmosphere MC matrix: MAT'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = GTC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Pertubed carbon concentration from Matlab model
            datanote   = {'Perturbed carbon concentration path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = MAT_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed carbon concentration path from Excel "Mitigation"
            % version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B90:BI90');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'Perturbed carbon concentration path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
% *FORC_R*  Reference increase in radiative forcing
            sheet      = ['FORC_R'];
            datanote   = {'Reference increase in radiative forcing MC matrix: FORC_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = Watts per sq meter'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference increase in radiative forcing from Matlab model
            datanote   = {'Reference increase in radiative forcing path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = FORC_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference increase in radiative forcing path from Excel version of
            % DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B103:BI103');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'Reference increase in radiative forcing path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%  *FORC*   Perturbed increase in radiative forcing            
            sheet      = ['FORC'];
            datanote   = {'Perturbed increase in radiative forcing MC matrix: MAT'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = Watts per sq meter'};
            xlswrite(filename,datanote,sheet,'A2');

            % Pertubed increase in radiative forcing from Matlab model
            datanote   = {'Perturbed increase in radiative forcing path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = FORC_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed increase in radiative forcing path from Excel
            % "Mitigation" version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B103:BI103');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'Perturbed increase in radiative forcing path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
% *TATM_R*  Reference atmospheric temperature
            sheet      = ['TATM_R'];
            datanote   = {'Reference atmospheric temperature change MC matrix: TATM_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = degrees Celsius above preindustrial level'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference atmospheric temperature from Matlab model
            datanote   = {'Reference atmospheric temperature change path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = TATM_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference atmospheric temperature change path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B102:BI102');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'Reference atmospheric temperature change path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%  *TATM*   Perturbed atmospheric temperature
            sheet      = ['TATM'];
            datanote   = {'Perturbed atmospheric temperature change MC matrix: TATM_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = degrees Celsius above preindustrial level'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed atmospheric temperature from Matlab model
            datanote   = {'Perturbed atmospheric temperature change path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data       = TATM_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed atmospheric temperature change path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B102:BI102');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'Perturbed atmospheric temperature change path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');            
      
%--------------------------------------------------------------------------                            
%*DAMAGES_R*Reference damages
            sheet      = ['DAMAGES_R'];
            datanote   = {'Reference damages MC matrix: DAMAGES_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference damages from Matlab model
            datanote   = {'Reference damages path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = DAMAGES_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference damages path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B109:BI109');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference damages path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
% *DAMAGES* Perturbed damages
            sheet      = ['DAMAGES'];
            datanote   = {'Perturbed damages MC matrix: DAMAGES'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed damages from Matlab model
            datanote   = {'Perturbed damages path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = DAMAGES_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed damages path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B109:BI109');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Perturbed damages path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
% *YNET_R* Reference net output (net of damages)
            sheet       = ['YNET_R'];
            datanote    = {'Reference net output (net of damages) MC matrix: YNET_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference net output (net of damages) from Matlab model
            datanote   = {'Reference net output (net of damages) path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = YNET_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5'); 

            %  Reference YNET path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B110:BI110');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference net ouput (net of damages) path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%  *YNET*  Perturbed net output (net of damages)
            sheet       = ['YNET'];
            datanote    = {'Perturbed net output (net of damages) MC matrix: YNET'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed net output (net of damages) from Matlab model
            datanote   = {'Perturbed net output path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = YNET_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5'); 

            % Perturbed YNET path from Excel "Mitigation" version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B110:BI110');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Perturbed net ouput (net of damages) path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%*ABATECOST_R*Reference abatement costs
            sheet       = ['ABATECOST_R'];
            datanote    = {'Reference abatement costs MC matrix: ABATECOST_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference abatement costs from the Matlab model
            datanote   = {'Reference abatement costs path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = ABATECOST_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference abatement costs path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B112:BI112');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference abatement costs path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%*ABATECOST*Perturbed abatement costs
            sheet       = ['ABATECOST'];
            datanote    = {'Perturbed abatement costs MC matrix: ABATECOST_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed abatement costs from the Matlab model
            datanote   = {'Perturbed abatement costs path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = ABATECOST_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed abatement cost path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B112:BI112');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Perturbed abatement costs path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%   *Y_R*   Reference net output (net of damages and abatement costs)
            sheet       = ['Y_R'];
            datanote    = {'Reference net output (net of damages and abatement costs) MC matrix: Y_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference net output from the Matlab model
            datanote   = {'Reference net output path (net of damages and abatement costs) from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = Y_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference net output path from the Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B113:BI113');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference net output (net of damages and abatement costs) path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
%--------------------------------------------------------------------------                            
%   *Y*   Perturbed net output (net of damages and abatement costs)
            sheet       = ['Y'];
            datanote    = {'Perturbed net output (net of damages and abatement costs) MC matrix: Y_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed net output from the Matlab model
            datanote   = {'Perturbed net output path (net of damages and abatement costs) from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = Y_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed net output path from Excel "Mitigation" version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B113:BI113');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Perturbed net output (net of damages and abatement costs) path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%  *I_R*    Reference investment
            sheet       = ['I_R'];
            datanote    = {'Reference investment MC matrix: I_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference net output from the Matlab model
            datanote   = {'Reference investment path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = I_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference investment path from the Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B119:BI119');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference investment path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
        
%--------------------------------------------------------------------------                            
%   *I*     Perturbed investment
            sheet       = ['I'];
            datanote    = {'Perturbed investment MC matrix: I'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed investment from the Matlab model
            datanote   = {'Perturbed net output path (net of damages and abatement costs) from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = I_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed investment path from Excel "Mitigation" version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B119:BI119');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Perturbed investment path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%  *C_R*    Reference consumption
            sheet       = ['C_R'];
            datanote    = {'Reference consumption MC matrix: C_R'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'Reference consumption path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = C_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B126:BI126');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference consumption path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
        
%--------------------------------------------------------------------------                            
%    *C*    Perturbed consumption
            sheet       = ['C'];
            datanote    = {'Perturbed consumption MC matrix: C'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed consumption from the Matlab model
            datanote   = {'Perturbed consumption path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = C_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed consumption path from Excel "Mitigation" version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B126:BI126');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Perturbed consumption path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%  *K_R*    Reference capital
            sheet       = ['K_R'];
            datanote    = {'Reference capital MC matrix'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference capital from the Matlab model
            datanote   = {'Reference capital path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = K_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference capital path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,'Base','B120:BI120');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference capital path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%   *K*     Perturbed capital
            sheet       = ['K'];
            datanote    = {'Perturbed capital MC matrix'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Perturbed capital from the Matlab model
            datanote   = {'Perturbed capital path from the Matlab model'};
            xlswrite(filename,datanote,sheet,'A4');
            data        = K_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,data_cells,sheet,'A5');

            % Perturbed capital path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel_Mitigation,'Base','B120:BI120');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Perturbed capital path from the Excel "Mitigation" model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

end

